Eclipse Remote Application Platform

## org.eclipse.rap.json
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.rap.json.ParseException

All Implemented Interfaces:
  java.io.Serializable

    public class ParseException

extends java.lang.RuntimeException

An unchecked exception to indicate that an input does not qualify as valid JSON.

Since:
  2.1
See Also:
  Serialized Form

Method Summary
`int` `getColumn()` Returns the index of the character at which the error occurred, relative to the line.
`int` `getLine()` Returns the number of the line in which the error occurred.
`int` `getOffset()` Returns the absolute index of the character at which the error occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getOffset

    public int getOffset()

  Returns the absolute index of the character at which the error occurred. The index of the first character of a document is 0.

  Returns:
    the character offset at which the error occurred, will be >= 0
  Since:
    2.2

### getLine

    public int getLine()

  Returns the number of the line in which the error occurred. The first line counts as 1.

  Returns:
    the line in which the error occurred, will be >= 1

### getColumn

    public int getColumn()

  Returns the index of the character at which the error occurred, relative to the line. The index of the first character of a line is 0.

  Returns:
    the column in which the error occurred, will be >= 0

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0